# Visualization
TKV3d
Prs3d

# Prs3d_LengthPresentation Class Reference

A framework to define the display of lengths.
.

`#include <Prs3d_LengthPresentation.hxx>`

Inheritance diagram for Prs3d_LengthPresentation:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Draw (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Pnt &OffsetPoint)
| Defines the display of the length between the points AttachmentPoint1 and AttachmentPoint2. The text aText is displayed at the point OffsetPoint, and the drawer aDrawer specifies the display attributes which lengths will have. The presentation object aPresentation stores the information defined in this framework. .

## Member Function Documentation

static Standard_EXPORT void Prs3d_LengthPresentation::Draw | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | AttachmentPoint1,
|  | const gp_Pnt & | AttachmentPoint2,
|  | const gp_Pnt & | OffsetPoint
| ) | `[static]`

void Prs3d_LengthPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* Prs3d_LengthPresentation::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* Prs3d_LengthPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- Prs3d_LengthPresentation.hxx